Subject: Re: [PATCH 1/4] gpiolib: Introduce chip addition/removal notifier

From: David Brownell <[email-masked]>
Date: Mon, 25 Jan 2010 22:34:29 -0800

On Monday 25 January 2010, Anton Vorontsov wrote:
> 
> +config GPIOLIB_NOTIFIER
> +       bool
> +       help
> +         This symbol is selected by subsystems that need to handle GPIO
> +         chips addition and removal. E.g., this is used for the
> +         OpenFirmware bindings.
> +

I'm no huge fan of notifiers, but I suppose they have their place.

However ... I don't see a lot of win to making this optional.  Just
inline the little two blocking_notifier_call_chain() calls directly,
making this a *LOT* simpler.

- Dave